Upstream information

CVE-2014-2299 at MITRE

Description

Buffer overflow in the mpeg_read function in wiretap/mpeg.c in the MPEG parser in Wireshark 1.8.x before 1.8.13 and 1.10.x before 1.10.6 allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a large record in MPEG data.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.33
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 867485 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • wireshark >= 1.8.13-0.5.1
Patchnames:
sledsp3-wireshark
SUSE Linux Enterprise Desktop 12
  • wireshark >= 1.10.9-1.11
Patchnames:
SUSE Linux Enterprise Desktop 12 GA wireshark
SUSE Linux Enterprise Desktop 12 SP1
  • wireshark >= 1.12.7-15.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA wireshark
SUSE Linux Enterprise Desktop 12 SP2
  • wireshark >= 1.12.13-31.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA wireshark
SUSE Linux Enterprise Server 11 SP3
  • wireshark >= 1.8.13-0.5.1
Patchnames:
slessp3-wireshark
SUSE Linux Enterprise Server 11 SP4
  • wireshark >= 1.10.13-0.2.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA wireshark
SUSE Linux Enterprise Server 12
  • wireshark >= 1.10.9-1.5
Patchnames:
SUSE Linux Enterprise Server 12 GA wireshark
SUSE Linux Enterprise Server 12 SP1
  • wireshark >= 1.12.7-15.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA wireshark
SUSE Linux Enterprise Server 12 SP2
  • wireshark >= 1.12.13-31.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA wireshark
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • wireshark >= 1.12.13-31.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA wireshark
SUSE Linux Enterprise Server for VMWare 11 SP3
  • wireshark >= 1.8.13-0.5.1
Patchnames:
slessp3-wireshark
SUSE Linux Enterprise Software Development Kit 11 SP3
  • wireshark >= 1.8.13-0.5.1
  • wireshark-devel >= 1.8.13-0.5.1
Patchnames:
sdksp3-wireshark
SUSE Linux Enterprise Software Development Kit 11 SP4
  • wireshark >= 1.10.13-0.2.1
  • wireshark-devel >= 1.10.13-0.2.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA wireshark
SUSE Linux Enterprise Software Development Kit 12
  • wireshark-devel >= 1.10.9-1.11
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA wireshark-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • wireshark-devel >= 1.12.7-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA wireshark-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • wireshark-devel >= 1.12.13-31.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA wireshark-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • wireshark >= 1.8.13-0.5.1
  • wireshark-devel >= 1.8.13-0.5.1
Builds
SAT Patch Nr: 9060
SUSE Linux Enterprise Software Development Kit 11 SP3
  • wireshark-devel >= 1.8.13-0.5.1
Builds
SAT Patch Nr: 9060
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • wireshark >= 1.8.13-0.5.1
Builds
SAT Patch Nr: 9060
openSUSE 12.3
  • wireshark >= 1.8.13-1.32.1
  • wireshark-debuginfo >= 1.8.13-1.32.1
  • wireshark-debugsource >= 1.8.13-1.32.1
  • wireshark-devel >= 1.8.13-1.32.1
Patchnames:
openSUSE-2014-214
openSUSE 13.1
  • wireshark >= 1.10.6-8.1
  • wireshark-debuginfo >= 1.10.6-8.1
  • wireshark-debugsource >= 1.10.6-8.1
  • wireshark-devel >= 1.10.6-8.1
Patchnames:
openSUSE-2014-214
openSUSE 13.2
  • wireshark >= 1.12.1-1.5
  • wireshark-ui-gtk >= 1.12.1-1.5
Patchnames:
openSUSE 13.2 GA wireshark
openSUSE Evergreen 11.4
  • wireshark >= 1.8.13-69.1
  • wireshark-debuginfo >= 1.8.13-69.1
  • wireshark-debugsource >= 1.8.13-69.1
  • wireshark-devel >= 1.8.13-69.1
Patchnames:
2014-34
openSUSE Leap 42.1
  • wireshark >= 1.12.7-7.3
  • wireshark-ui-gtk >= 1.12.7-7.3
Patchnames:
openSUSE Leap 42.1 GA wireshark
openSUSE Leap 42.2
  • wireshark >= 2.2.1-1.1
  • wireshark-ui-gtk >= 2.2.1-1.1
Patchnames:
openSUSE Leap 42.2 GA wireshark
openSUSE Tumbleweed
  • wireshark >= 2.2.2-1.1
  • wireshark-devel >= 2.2.2-1.1
  • wireshark-ui-gtk >= 2.2.2-1.1
  • wireshark-ui-qt >= 2.2.2-1.1
Patchnames:
openSUSE Tumbleweed GA wireshark